Package net.snowflake.client.util

## Class SnowflakeEnvironmentProvider

- java.lang.Object
- - net.snowflake.client.util.SnowflakeEnvironmentProvider

All Implemented Interfaces:
  `EnvironmentProvider`

    @SnowflakeJdbcInternalApi
    public class SnowflakeEnvironmentProvider
    extends Object
    implements EnvironmentProvider

Implementation of EnvironmentProvider that delegates to SnowflakeUtil. This wrapper enables thread-safe testing while maintaining existing behavior.

### Constructor Summary

Constructors
`SnowflakeEnvironmentProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getEnv​(String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SnowflakeEnvironmentProvider

    public SnowflakeEnvironmentProvider()

### Method Detail

#### getEnv

    public String getEnv​(String name)

Specified by:
  `getEnv` in interface `EnvironmentProvider`